OPTIONS COMMON TO MY(1)

NAME
ndb-common-options - MySQL Cluster Common Program Options

DESCRIPTION

All MySQL Cluster programs accept the options described in this section, with the following exceptions:

    • mysqld

    • ndb_print_backup_file

    • ndb_print_schema_file

    • ndb_print_sys_file

Users of earlier MySQL Cluster versions should note that some of these options have been changed to make them consistent with one another as well as with mysqld. You can use the --help option with any MySQL Cluster program—with the exception of ndb_print_backup_file, ndb_print_schema_file, and ndb_print_sys_file—to view a list of the options which the program supports.

The options in the following table are common to all MySQL Cluster executables (except those noted previously in this section).

Table 17.29. Common MySQL Cluster Program Options and Variables: MySQL 5.1, MySQL Cluster NDB 6.3-7.1
Format | Description | Added / Removed
--help, --usage, -? | Display help message and exit | All MySQL 5.1 based releases
--ndb-connectstring=connectstring, --connect-string=connectstring, -c | Set connection string for connecting to ndb_mgmd. Syntax: [nodeid=<id>;][host=]<hostname>[:<port>]. Overrides entries specified in NDB_CONNECTSTRING or my.cnf. | All MySQL 5.1 based releases
--ndb-mgmd-host=host[:port] | Set the host (and port, if desired) for connecting to the management server | All MySQL 5.1 based releases
--ndb-nodeid=# | Set node id for this node | All MySQL 5.1 based releases
--ndb-shm | Allow for optimization using shared memory connections where available (was EXPERIMENTAL, later REMOVED) | REMOVED: NDB 7.0.16, NDB 7.1.5
--ndb-optimized-node-selection | Select nodes for transactions in a more optimal way | All MySQL 5.1 based releases
--character-sets-dir=path | Directory where character sets are | All MySQL 5.1 based releases
--debug=options | Enable output from debug calls. Can be used only for versions compiled with debugging enabled | All MySQL 5.1 based releases
--core-file | Write core on errors (defaults to TRUE in debug builds) | All MySQL 5.1 based releases
--version, -V | Output version information and exit | All MySQL 5.1 based releases

For options specific to individual MySQL Cluster programs, see Section 17.4, “MySQL Cluster Programs”.

See Section 17.3.4.2, “MySQL Server Options for MySQL Cluster”, for mysqld options relating to MySQL Cluster.

    • --help, --usage, -?
    Command-Line Format | --help
     | --usage
     | -?

    Prints a short list with descriptions of the available command options.

    • --character-sets-dir=name
    Command-Line Format | --character-sets-dir=path
     | Permitted Values
     | Type | file name
     | Default |

    Tells the program where to find character set information.

    • --ndb-connectstring=connect_string, --connect-string=connect_string, -c connect_string
    Command-Line Format | --ndb-connectstring=connectstring
     | --connect-string=connectstring
     | -c
     | Permitted Values
     | Type | string
     | Default | localhost:1186

    This option takes a MySQL Cluster connection string that specifies the management server for the application to connect to, as shown here:

        shell> ndbd --ndb-connectstring="nodeid=2;host=ndb_mgmd.mysql.com:1186"

    For more information, see Section 17.3.2.3, “MySQL Cluster Connection Strings”.

    • --core-file
    Command-Line Format | --core-file
     | Permitted Values
     | Type | boolean
     | Default | FALSE

    Write a core file if the program dies. The name and location of the core file are system-dependent. (For MySQL Cluster programs nodes running on Linux, the default location is the program's working directory—for a data node, this is the node's DataDir.) For some systems, there may be restrictions or limitations; for example, it might be necessary to execute ulimit -c unlimited before starting the server. Consult your system documentation for detailed information.

    If MySQL Cluster was built using the --debug option for configure, then --core-file is enabled by default. For regular builds, --core-file is disabled by default.

    • --debug[=options]
    Command-Line Format | --debug=options
     | Permitted Values
     | Type | string
     | Default | d:t:O,/tmp/ndb_restore.trace

    This option can be used only for versions compiled with debugging enabled. It is used to enable output from debug calls in the same manner as for the mysqld process.

    • --ndb-mgmd-host=host[:port]
    Command-Line Format | --ndb-mgmd-host=host[:port]
    Option-File Format | ndb-mgmd-host
     | Permitted Values
     | Type | string
     | Default | localhost:1186

    Can be used to set the host and port number of a single management server for the program to connect to. If the program requires node IDs or references to multiple management servers (or both) in its connection information, use the --ndb-connectstring option instead.

    • --ndb-nodeid=#
    Command-Line Format | --ndb-nodeid=#
     | Permitted Values
     | Type | numeric
     | Default | 0

    Sets this node's MySQL Cluster node ID. The range of permitted values depends on the node's type (data, management, or API) and the MySQL Cluster software version. See Section 17.1.6.2, “Limits and Differences of MySQL Cluster from Standard MySQL Limits”, for more information.

    • --ndb-optimized-node-selection
    Command-Line Format | --ndb-optimized-node-selection
     | Permitted Values
     | Type | boolean
     | Default | TRUE

    Optimize selection of nodes for transactions. Enabled by default.

    • --version, -V
    Command-Line Format | --version
     | -V

    Prints the MySQL Cluster version number of the executable. The version number is relevant because not all versions can be used together, and the MySQL Cluster startup process verifies that the versions of the binaries being used can co-exist in the same cluster. This is also important when performing an online (rolling) software upgrade or downgrade of MySQL Cluster.

    See Section 17.5.5, “Performing a Rolling Restart of a MySQL Cluster”), for more information.

    • --ndb-shm
    Removed | 5.1.47-ndb-7.1.5
    Command-Line Format | --ndb-shm
     | Permitted Values
     | Type | boolean
     | Default | FALSE

    In older versions of MySQL Cluster, this experimental option allowed the application to use shared memory for optimization when available. --ndb-shm was removed from all MySQL Cluster programs beginning with MySQL Cluster NDB 7.0.16 and MySQL Cluster 7.1.5.

COPYRIGHT

Copyright © 1997, 2013, Oracle and/or its affiliates. All rights reserved.

This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA or see http://www.gnu.org/licenses/.

SEE ALSO
For more information, please refer to the MySQL Reference Manual, which may already be installed locally and which is also available online at http://dev.mysql.com/doc/.

AUTHOR
Oracle Corporation (http://dev.mysql.com/).